Bug 194617 - New port: games/openclonk: Multiplayer action game involving small and nimble humanoids
Summary: New port: games/openclonk: Multiplayer action game involving small and nimble...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: John Marino
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-26 18:32 UTC by Kevin Zheng
Modified: 2014-11-14 06:42 UTC (History)
2 users (show)

See Also:


Attachments
Shell archive with new port (3.52 KB, text/plain)
2014-10-26 18:32 UTC, Kevin Zheng
no flags Details
Poudriere build log on 10amd64 (634.33 KB, text/x-log)
2014-10-26 18:33 UTC, Kevin Zheng
no flags Details
Fixed shell archive with new port (3.18 KB, text/plain)
2014-11-01 18:44 UTC, Kevin Zheng
no flags Details
Patch to fix fetching (526 bytes, patch)
2014-11-06 23:53 UTC, Kevin Zheng
no flags Details | Diff
C11 fixes (incomplete) (1.34 KB, patch)
2014-11-14 05:06 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2014-10-26 18:32:01 UTC
Created attachment 148674 [details]
Shell archive with new port

OpenClonk is a free multiplayer action game in which you control clonks, small
but witty and nimble humanoid beings. The game is mainly about mining,
settling and fast-paced melees.

OpenClonk is not just a game but also a versatile 2D game engine that allows
the creation of mods. It is the successor of the shareware game series Clonk
and thus inherits many of its features.

WWW: http://www.openclonk.org/
Comment 1 Kevin Zheng 2014-10-26 18:33:46 UTC
Created attachment 148675 [details]
Poudriere build log on 10amd64
Comment 2 Kevin Zheng 2014-10-27 01:44:25 UTC
Here's a small issue: OpenClonk installs into ${PREFIX}/games, but that directory is not in PATH by default. The supplied desktop file doesn't use the full path, so the desktop entry is broken on machines without a custom PATH.

Possible solutions:
 - Use full path in desktop file
 - Install binaries into ${PREFIX}/bin
 - Something else?

I'd be happy to resubmit the port, but I'd like feedback on what should be done.
Comment 3 John Marino freebsd_committer 2014-11-01 15:16:10 UTC
(In reply to Kevin Zheng from comment #2)
> Here's a small issue: OpenClonk installs into ${PREFIX}/games, 

why?  because it wants to?
Make it install in bin -- adjust a configure arg or patch if you have to.

secondly, the pkg-plist is wrong here:
X@dir games
X@dir share/games/openclonk
X@dir share/games
X@dir share/icons/hicolor/128x128/apps
X@dir share/icons/hicolor/128x128
X@dir share/icons/hicolor/256x256/apps
X@dir share/icons/hicolor/256x256
X@dir share/icons/hicolor/32x32/apps
X@dir share/icons/hicolor/32x32
X@dir share/icons/hicolor/512x512/apps
X@dir share/icons/hicolor/512x512
X@dir share/icons/hicolor/64x64/apps
X@dir share/icons/hicolor/64x64
X@dir share/icons/hicolor
X@dir share/icons


@dir is not new name for @dirrm or @dirrmtry
please review /usr/ports/CHANGES on how to use it.  You probably don't need it at all.
Comment 4 Kevin Zheng 2014-11-01 18:44:47 UTC
Created attachment 148897 [details]
Fixed shell archive with new port

Thanks for the comments; the issues have been fixed.
Comment 5 John Marino freebsd_committer 2014-11-01 23:04:43 UTC
Thanks!  I'll promote this PR now.
Comment 6 commit-hook freebsd_committer 2014-11-04 19:22:05 UTC
A commit references this bug:

Author: marino
Date: Tue Nov  4 19:21:53 UTC 2014
New revision: 372165
URL: https://svnweb.freebsd.org/changeset/ports/372165

Log:
  Add new ports games/openclock

  PR:		194617
  Submitted by:	Kevin Zheng

  OpenClonk is a free multiplayer action game in which you control clonks,
  small but witty and nimble humanoid beings. The game is mainly about
  mining, settling and fast-paced melees.

  OpenClonk is not just a game but also a versatile 2D game engine that
  allows the creation of mods. It is the successor of the shareware game
  series Clonk and thus inherits many of its features.

Changes:
  head/games/Makefile
  head/games/openclonk/
  head/games/openclonk/Makefile
  head/games/openclonk/distinfo
  head/games/openclonk/pkg-descr
  head/games/openclonk/pkg-plist
Comment 7 John Marino freebsd_committer 2014-11-04 19:56:52 UTC
Thanks!
Comment 8 Volodymyr Kostyrko 2014-11-05 07:35:22 UTC
It's unfetchable. MASTER_SITES should be "http://www.openclonk.org/builds/release/${DISTVERSIONPREFIX}${DISTVERSION}/" because at their server it resides in "release/5.5.1" and not in "release/5.1".
Comment 9 John Marino freebsd_committer 2014-11-05 07:39:37 UTC
90% of the time I test these ports, but not in this case because it came with poudriere log and the distfile was 65M (I'm on data plan).  So it figures I got burned.

My guess is that this used to work and the Kevin used that distfile prefix thing, broke it, but never noticed because it was already fetched.  Poudriere won't catch that either.
Comment 10 Kevin Zheng 2014-11-06 23:53:53 UTC
Created attachment 149145 [details]
Patch to fix fetching

Oops, I was fiddling with PORTVERSION but didn't re-test fetching. Attached is a patch that fixes this problem (thanks for pointing it out).
Comment 11 John Marino freebsd_committer 2014-11-07 00:09:42 UTC
applied, thanks.
Comment 12 Kevin Zheng 2014-11-14 05:06:02 UTC
Created attachment 149390 [details]
C11 fixes (incomplete)

It appears that this port only built correctly on amd64 systems running 10+. The attached patch fixes (according to RedPorts) the build for i386 on 10+ systems.

The build for 8 and 9 on both i386 and amd64 still seem to be broken; I'm still working on patches to fix it. Meanwhile, should the fix for 10+ i386 be committed, or wait until everything's fixed?
Comment 13 John Marino freebsd_committer 2014-11-14 06:42:05 UTC
just wait until you have all the fixes -- it's not like anybody is complaining.
Comment 14 John Marino freebsd_committer 2014-11-14 06:42:59 UTC
and open a new PR for the fixes when you have them